Public Member Functions

# wxLogStream Class Reference
[Logging]

`#include <wx/log.h>`

Inheritance diagram for wxLogStream:
[legend]

## Detailed Description

This class can be used to redirect the log messages to a C++ stream.

Please note that this class is only available if wxWidgets was compiled with the standard iostream library support (`wxUSE_STD_IOSTREAM` must be on).

##

Library: wxBase
Category: Logging

See also:
  wxLogStderr, wxStreamToTextRedirector

## Public Member Functions
| wxLogStream (std::ostream *ostr=NULL)
| Constructs a log target which sends all the log messages to the given output stream.

List of all members.

## Constructor & Destructor Documentation

wxLogStream::wxLogStream | ( | std::ostream * | ostr = `NULL` | ) |

Constructs a log target which sends all the log messages to the given output stream.

If it is NULL, the messages are sent to `cerr`.

|  | [ top ]